MWAWFontManager Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
MWAWFontManager Class Reference

a font manager which can be used to store fonts, ... More...

`#include <MWAWFont.hxx>`

## Public Member Functions
| MWAWFontManager (std::shared_ptr< MWAWFontConverter > const &fontConverter)
| constructor
| ~MWAWFontManager ()
| destructor
int | getId (MWAWFont const &font)
| returns a span id which can be used to call the list
bool | getFont (int id, MWAWFont &font) const
| returns the font corresponding to an id
std::shared_ptr< MWAWFontConverter > | getFontConverter ()
| returns the font converter

## Protected Attributes
std::shared_ptr< MWAWFontManagerInternal::State > | m_state
| the state

## Private Member Functions
| MWAWFontManager (MWAWFontManager const &)=delete
MWAWFontManager & | operator= (MWAWFontManager const &)=delete

## Detailed Description

a font manager which can be used to store fonts, ...

## Constructor & Destructor Documentation

## ◆ MWAWFontManager() [1/2]

MWAWFontManager::MWAWFontManager | ( | std::shared_ptr< MWAWFontConverter > const & | fontConverter | ) |
| explicit

constructor

## ◆ ~MWAWFontManager()

MWAWFontManager::~MWAWFontManager | ( |  | ) |

destructor

## ◆ MWAWFontManager() [2/2]

MWAWFontManager::MWAWFontManager | ( | MWAWFontManager const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ getFont()

bool MWAWFontManager::getFont | ( | int | id,
|  | MWAWFont & | font ) const

returns the font corresponding to an id

## ◆ getFontConverter()

std::shared_ptr< MWAWFontConverter > MWAWFontManager::getFontConverter | ( |  | ) |

returns the font converter

## ◆ getId()

int MWAWFontManager::getId | ( | MWAWFont const & | font | ) |

returns a span id which can be used to call the list

## ◆ operator=()

MWAWFontManager & MWAWFontManager::operator= | ( | MWAWFontManager const & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_state

std::shared_ptr<MWAWFontManagerInternal::State> MWAWFontManager::m_state
| protected

the state

Referenced by getFont(), getFontConverter(), and getId().

The documentation for this class was generated from the following files:

- MWAWFont.hxx
- MWAWFont.cxx